// creator  : weidu.exe (version 23100)
// argument : _FIREB1.DLG
// game		 : .
// source	 : ./override/_FIREB1.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_FIREB1~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #86185 /* ~Ah yes, I'm back within the hallowed halls of Candlekeep. With this iron crisis upon us, the trip from Beregost was more hazardous than I care to relate... You're Gorion's ward, aren't you? My, you have come into your own, if you would permit an old man jealous of youth to say so... Hmm, I left an Identify scroll with Tethtoril, in the inner grounds. He should be done examining it by now, so if you could fetch it for me, I'd be grateful.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToFirebead","GLOBAL",1)
SetGlobal("Chapter","GLOBAL",1)
AddJournalEntry(86186,QUEST)
SetGlobal("Chapter","GLOBAL",0)
~ EXIT
END

IF ~!HasItem("SCRL75",LastTalkedToBy)
!Global("HelpFirebead","GLOBAL",2)
~ THEN BEGIN 1 // from:
  SAY #86187 /* ~Have you spoken with Tethtoril, yet?~ */
  IF ~~ THEN EXIT
END

IF ~HasItem("SCRL75",LastTalkedToBy)
~ THEN BEGIN 2 // from:
  SAY #86188 /* ~Ah, I am glad to see that age has not hardened your heart towards an old man such as myself. I'll take all of your identify scrolls; I have a great use for those types of scrolls.  Here, allow me to cast a little spell on you. It will protect you from any evil you might meet tonight.~ */
  IF ~~ THEN DO ~AddexperienceParty(50)
TakePartyItem("SCRL75")
EraseJournalEntry(86186)
GiveItemCreate("_POTN08",LastTalkedToBy,1,0,0)
SetGlobal("HelpFirebead","GLOBAL",2)
ForceSpell(Player1,CLERIC_PROTECT_FROM_EVIL)
SetGlobal("Chapter","GLOBAL",1)
AddJournalEntry(86189,QUEST_DONE)
SetGlobal("Chapter","GLOBAL",0)
~ EXIT
END

IF ~False()
~ THEN BEGIN 3 // from:
  SAY #86190 /* ~I always felt you were cut from wiser cloth than that, old friend. Gorion would be sad indeed.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 4 // from:
  SAY #86191 /* ~I believe Gorion is waiting for you at the central library. You had best hurry there.~ */
  IF ~~ THEN EXIT
END
